<?xml version="1.0"?>
<page xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" layout="1column" xsi:noNamespaceSchemaLocation="urn:magento:framework:View/Layout/etc/page_configuration.xsd">    
    <update handle="catalog_product_view"/>
    <body>
        <referenceBlock name="catalog.product.related" remove="true"/>
        <referenceBlock name="product.info.upsell" remove="true"/>
        <referenceBlock name="header.container" remove="true"/>
        <referenceBlock name="footer-container" remove="true"/>
        <referenceBlock name="page.top" remove="true" />
        <referenceBlock name="copyright" remove="true" />
        <referenceBlock name="authentication-popup" remove="true" />
        <referenceBlock name="product.info.review" remove="true" />     
        <referenceBlock name="product.info.social" remove="true" />      
        <referenceBlock name="product.detail.sharethis" remove="true" />     
        <referenceBlock name="custom.product.detail.top.static.block" remove="true" />    
        <referenceBlock name="brand.product.related" remove="true" />     
        <referenceBlock name="product.brand.name" remove="true" />   
        <referenceBlock name="custom.product.detail.bottom.static.block" remove="true" />    
        <referenceBlock name="lookbook.product" remove="true" />
		
		<referenceBlock name="product.detail.info">
            <action method="setTemplate">
                <argument name="template" xsi:type="string">Magento_Catalog::product/view/quickview/layout.phtml</argument>
            </action>
        </referenceBlock>
        
        <referenceBlock name="product.info.media.image">
            <arguments>
                <argument name="view_type" xsi:type="string">quickview</argument>
            </arguments>
        </referenceBlock>
		
        <referenceBlock name="product.info.overview">
            <action method="setTemplate" ifconfig="mgs_quickview/general/hide_short_description">
                <argument name="template" xsi:type="string"></argument>
            </action>
        </referenceBlock>
        <referenceBlock name="product.info.sku">
            <action method="setTemplate" ifconfig="mgs_quickview/general/hide_sku">
                <argument name="template" xsi:type="string"></argument>
            </action>
        </referenceBlock>                          
        <referenceContainer name="before.body.end">
            <block class="Magento\Framework\View\Element\Template" name="mgs.quickview.before.body.end" template="MGS_QuickView::before-body-end.phtml" />
        </referenceContainer>
        <referenceBlock name="product.info.details" remove="true"/>
        <referenceBlock name="js.beforebody" remove="true"/>
	<referenceBlock name="sidebar.additional" remove="true"/>        
    </body>
</page>
